File: changelog

package info (click to toggle)
pyqwt5 5.2.1~cvs20091107+dfsg-10
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid
  • size: 2,004 kB
  • sloc: python: 8,762; cpp: 1,217; makefile: 120
file content (229 lines) | stat: -rw-r--r-- 7,709 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
pyqwt5 (5.2.1~cvs20091107+dfsg-10) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Gudjon I. Gudjonsson ]
  * Add patch to fix build error (Closes: #924651)

  [ Piotr Ożarowski ]
  * Add dh-python to Build-Depends

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 16 Mar 2019 09:11:48 +0100

pyqwt5 (5.2.1~cvs20091107+dfsg-8) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Gudjon I. Gudjonsson ]
  * Disable numarray and numeric (Closes: #820696)
  * Bump standards version to 3.9.8, no change needed
  * Change dh_clean -k to dh_prep
  * Change recommends libqwt-dev to
    suggests libqwt5-qt4-dev (Closes: #763567)
  * Add patch to disable numeric, numarray
  * Add patch to change Float to float, for non-obsolete
    numpy version
  * Add patch to disable imageplot example
  * Remove dpatch reference from README.source

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 18 Aug 2016 12:13:05 +0200

pyqwt5 (5.2.1~cvs20091107+dfsg-7) unstable; urgency=low

  [ Jakub Wilk ]
  * Add epoch to python-numpy version in Build-Depends.
  * Use canonical URIs for Vcs-* fields.

  [ Gudjon I. Gudjonsson ]
  * Rebuild fixes segmentation fault (Closes: #731437)
  * Bump standards version to 3.9.5

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 03 Jan 2014 08:09:25 +0100

pyqwt5 (5.2.1~cvs20091107+dfsg-6) unstable; urgency=low

  * Bump standards version to 3.9.2
  * Add X-Python-Version
  * Update python dependencies
  * Change from dh_pysupport to dh_python2 (Closes: #634862)
  * Change short description in python-qwt5-doc
  * Comment out QaPolygon from BodePlot demo. All examples do work now.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 12 Aug 2011 07:43:55 +0200

pyqwt5 (5.2.1~cvs20091107+dfsg-5) unstable; urgency=low

  * Rebuilding package (Closes: #619500)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 27 Mar 2011 14:59:43 +0200

pyqwt5 (5.2.1~cvs20091107+dfsg-4) unstable; urgency=low

  * Remove qt3 support (Closes: #604373)
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump standards to 3.9.1
  * Patch 03_fix_QwtMemArray removed. Only used for qt3
  * Rewrite other patches to quilt format
  * Remove qt3examples from python-qwt5-doc

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 26 Feb 2011 09:00:52 +0100

pyqwt5 (5.2.1~cvs20091107+dfsg-3) unstable; urgency=low

  * Upgrade to new sip version (Closes: #567228)
  * Bump standards version to 3.8.4
  * Change from sip4 to sip dependencies
  * Change dephelper version to 7
  * Add misc depends for python-qwt5-doc

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 06 Feb 2010 13:25:49 +0100

pyqwt5 (5.2.1~cvs20091107+dfsg-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Fix watch file.

  [ Gudjon I. Gudjonsson ]
  * Add fix to rules files that adds binary dependency on
    libqwt5-qt{3,4} (Closes: #557170)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 27 Nov 2009 16:45:14 +0100

pyqwt5 (5.2.1~cvs20091107+dfsg-1) unstable; urgency=low

  * New CVS version
  * Fixes problems in qt3 port
  * Rename README.Source to README.source and upgrade content
  * Add +dfsg to CVS get-orig-source target
  * Commented out three extra lines from configure.py that the script
    failed on.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 07 Nov 2009 19:53:13 +0100

pyqwt5 (5.2.0+dfsg-2) unstable; urgency=low

  * Change sip4 dependencies to >=4.9
  * Add binary dependency on python-sip4 >=4.9
  * Bump standards version to 3.8.3, no changes needed

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 04 Nov 2009 22:53:02 +0100

pyqwt5 (5.2.0+dfsg-1) unstable; urgency=low

  * New upstream release
  * Remove export QTDIR from rules file
  * Fix watch file. Upstream path changed
  * DEB_UPSTREAM_VERSION not hardcoded anymore

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 09 Aug 2009 21:57:55 +0200

pyqwt5 (5.1.1~cvs20090626+dfsg-2) unstable; urgency=low

  * Qwt has been upgraded to version 5.2, PyQwt needs rebuilding

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 02 Jul 2009 19:20:11 +0200

pyqwt5 (5.1.1~cvs20090626+dfsg-1) unstable; urgency=medium

  [ Gudjon I. Gudjonsson ]
  * New CVS version:
    - Builds from source (Closes: #533950)
    - python-qwt5-qt4 doesn't segfault (Closes: #532850)
    - python-qwt5-qt3 fails but this version is still an improvement
  * Bump standards version to 3.8.2, no changes needed
  * Hardcode DEB_UPSTREAM_VERSION=5.1.0, will be changed in
    next release
  * Upgrade version dependency on python-qt4 and sip4
  * Add README.Source file

  [ Piotr Ożarowski ]
  * Add get-orig-source rule
  * Prepare for Python 2.6: dh_install now recognizes files in
    /usr/local/*/dist-packages/ as well

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 27 Jun 2009 13:16:04 +0200

pyqwt5 (5.1.0.dfsg-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Bernd Zeimetz ]
  * Replace python-central by python-support to follow the change in
    python-qt4. This would not be an issue if python-central would
    create namespace packages properly. We should not need to
    change the build-dependency on python-qt4 as python-support should
    handle it for all versions in a sane way.
  * Depend on python-qtX larger or equal than the version the package
    was built against.
  * Bump Standards-Version to 3.8.1, no changes needed.
  * Fix build-target dependencies in debian/rules.

  [ Gudjon I. Gudjonsson ]
  * Add patch 03_fix_QwtMemArray. Needed for compilation.
  * Upgrade to python-support system makes the Qwt.so module import
    correctly (Closes: #525838)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 07 May 2009 13:11:37 +0200

pyqwt5 (5.1.0.dfsg-1) unstable; urgency=low

  * New upstream release
  * Bump standard version to 3.8.0, no changes needed
  * Add -indep and -arch for build and install in rules file.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 15 Jun 2008 08:50:11 +0200

pyqwt5 (5.1~20080523cvs.dfsg-1) unstable; urgency=medium

  [ Gudjon I. Gudjonsson ]
  * New CVS snapshot that fixes FTBFS. (Closes: #482230)

  [ Piotr Ożarowski ]
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)
  * Change sip4 and python-sip4-dev minimum required build versions
    to (>= 4.7.1-1~) to ease backports
  * Bump Standards-Version to 3.7.3 (no changes needed)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 23 May 2008 19:58:11 +0200

pyqwt5 (5.0.1.dfsg-3) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Homepage field added
  * debian/watch file updated (remove ".dfsg" in dversionmangle)

  [ Gudjon I. Gudjonsson ]
  * Changed dependency of sip4 and python-sip4-dev to 4.7.1-1
    (Closes: #442968)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 03 Oct 2007 11:21:39 +0200

pyqwt5 (5.0.1.dfsg-2) unstable; urgency=low

  * python-qt4 has been upgraded to version 4.3

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 05 Aug 2007 18:36:15 +0200

pyqwt5 (5.0.1.dfsg-1) unstable; urgency=low

  * New upstream release
  * Added python-qwt5-doc for the example directories. The documentation
    will be added later.
  * Removed patch 2 since multidemo has been fixed.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 28 Jul 2007 22:01:03 +0200

pyqwt5 (5.0.0.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #413372)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 23 Jul 2007 13:21:37 +0200